| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IPropertyMap Class Referenceabstract
AAX SDK Manual » Core AAX Interface » Description callback

`#include <AAX_IPropertyMap.h>`

Inheritance diagram for AAX_IPropertyMap:
[legend]

## Description

Generic plug-in description property map.

:Implemented by the AAX Host:

Property Maps are used to associate specific sets of properties with plug-in description interfaces. For example, an audio processing component might register mono and stereo callbacks, or Native and TI callbacks, assigning each `ProcessProc` the applicable property mapping. This allows the host to determine the correct callback to use depending on the environment in which the plug-in is instantiated.

AAX does not require that every value in AAX IPropertyMap be assigned by the developer. Unassigned properties do not have defined default values; if a specific value is not assigned to one of an element's properties then the element must support any value for that property. For example, if an audio processing component does not define its callback's audio buffer length property, the host will assume that the callback will support any buffer length.

- To create a new property map: AAX_IComponentDescriptor::NewPropertyMap()
- To copy an existing property map: AAX_IComponentDescriptor::DuplicatePropertyMap()

## Public Member Functions
virtual | ~AAX_IPropertyMap ()
virtual AAX_CBoolean | GetProperty (AAX_EProperty inProperty, AAX_CPropertyValue *outValue) const =0
| Get a property value from a property map.
virtual AAX_CBoolean | GetPointerProperty (AAX_EProperty inProperty, const void **outValue) const =0
| Get a property value from a property map with a pointer-sized value.
virtual AAX_Result | AddProperty (AAX_EProperty inProperty, AAX_CPropertyValue inValue)=0
| Add a property to a property map.
virtual AAX_Result | AddPointerProperty (AAX_EProperty inProperty, const void *inValue)=0
| Add a property to a property map with a pointer-sized value.
virtual AAX_Result | AddPointerProperty (AAX_EProperty inProperty, const char *inValue)=0
| Add a property to a property map with a pointer-sized value.
virtual AAX_Result | RemoveProperty (AAX_EProperty inProperty)=0
| Remove a property from a property map.
virtual AAX_Result | AddPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad *inPluginIDs, uint32_t inNumPluginIDs)=0
| Add an array of plug-in IDs to a property map.
virtual AAX_CBoolean | GetPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad **outPluginIDs, uint32_t *outNumPluginIDs) const =0
| Get an array of plug-in IDs from a property map.
virtual IACFUnknown * | GetIUnknown ()=0

## Constructor & Destructor Documentation

## ◆ ~AAX_IPropertyMap()

virtual AAX_IPropertyMap::~AAX_IPropertyMap | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ GetProperty()

virtual AAX_CBoolean AAX_IPropertyMap::GetProperty | ( | AAX_EProperty | inProperty,
|  | AAX_CPropertyValue * | outValue
| ) |  | const
| pure virtual

Get a property value from a property map.

Returns true if the selected property is supported, false if it is not

Parameters

  [in] | inProperty | The property ID
  [out] | outValue | The property value

Implemented in AAX_VPropertyMap.

## ◆ GetPointerProperty()

virtual AAX_CBoolean AAX_IPropertyMap::GetPointerProperty | ( | AAX_EProperty | inProperty,
|  | const void ** | outValue
| ) |  | const
| pure virtual

Get a property value from a property map with a pointer-sized value.

Returns true if the selected property is supported, false if it is not

Parameters

  [in] | inProperty | The property ID
  [out] | outValue | The property value

Implemented in AAX_VPropertyMap.

## ◆ AddProperty()

virtual AAX_Result AAX_IPropertyMap::AddProperty | ( | AAX_EProperty | inProperty,
|  | AAX_CPropertyValue | inValue
| ) |  |
| pure virtual

Add a property to a property map.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

Implemented in AAX_VPropertyMap.

Referenced by AAX_CMonolithicParameters::StaticDescribe().

Here is the caller graph for this function:

## ◆ AddPointerProperty() [1/2]

virtual AAX_Result AAX_IPropertyMap::AddPointerProperty | ( | AAX_EProperty | inProperty,
|  | const void * | inValue
| ) |  |
| pure virtual

Add a property to a property map with a pointer-sized value.

Use this method to add properties which require a pointer-sized value. Do not use this method to add a property unless a pointer-sized value is explicitly specified in the property documentation.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

Implemented in AAX_VPropertyMap.

## ◆ AddPointerProperty() [2/2]

virtual AAX_Result AAX_IPropertyMap::AddPointerProperty | ( | AAX_EProperty | inProperty,
|  | const char * | inValue
| ) |  |
| pure virtual

Add a property to a property map with a pointer-sized value.

Use this method to add properties which require a pointer-sized value. Do not use this method to add a property unless a pointer-sized value is explicitly specified in the property documentation.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

Implemented in AAX_VPropertyMap.

## ◆ RemoveProperty()

virtual AAX_Result AAX_IPropertyMap::RemoveProperty | ( | AAX_EProperty | inProperty | ) |
| pure virtual

Remove a property from a property map.

Parameters

  [in] | inProperty | The property ID.

Implemented in AAX_VPropertyMap.

## ◆ AddPropertyWithIDArray()

virtual AAX_Result AAX_IPropertyMap::AddPropertyWithIDArray | ( | AAX_EProperty | inProperty,
|  | const AAX_SPlugInIdentifierTriad * | inPluginIDs,
|  | uint32_t | inNumPluginIDs
| ) |  |
| pure virtual

Add an array of plug-in IDs to a property map.

Parameters

  [in] | inProperty | The property ID.
  [in] | inPluginIDs | An array of AAX_SPlugInIdentifierTriad
  [in] | inNumPluginIDs | The length of `iPluginIDs`

Implemented in AAX_VPropertyMap.

## ◆ GetPropertyWithIDArray()

virtual AAX_CBoolean AAX_IPropertyMap::GetPropertyWithIDArray | ( | AAX_EProperty | inProperty,
|  | const AAX_SPlugInIdentifierTriad ** | outPluginIDs,
|  | uint32_t * | outNumPluginIDs
| ) |  | const
| pure virtual

Get an array of plug-in IDs from a property map.

Parameters

  [in] | inProperty | The property ID.
  [out] | outPluginIDs | A pointer that will be set to reference an array of AAX_SPlugInIdentifierTriad
  [in] | outNumPluginIDs | The length of `oPluginIDs`

Implemented in AAX_VPropertyMap.

## ◆ GetIUnknown()

virtual IACFUnknown * AAX_IPropertyMap::GetIUnknown | ( |  | ) |
| pure virtual

Returns the most up-to-date underlying interface

Implemented in AAX_VPropertyMap.

The documentation for this class was generated from the following file:

- AAX_IPropertyMap.h